> For the complete documentation index, see [llms.txt](https://docs.jasperapp.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jasperapp.io/reference/keyboard-shortcut.md).

# Keyboard shortcuts

## View shortcuts <a href="#view" id="view"></a>

| action                      | keyboard shortcuts                                                                                                                           |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| Show Jump Navigation        | `⌘ + K`, `Ctrl + K`                                                                                                                          |
| Show recently viewed issues | `⌘ + E`, `Ctrl + E`                                                                                                                          |
| Change layout               | <p><code>⌘ + 1</code>, <code>⌘  + 2</code>, <code>⌘ + 3</code></p><p><code>Ctrl + 1</code>, <code>Ctrl + 2</code>, <code>Ctrl + 3</code></p> |

## Stream shortcuts <a href="#stream" id="stream"></a>

| action                         | keyboard shortcuts          |
| ------------------------------ | --------------------------- |
| Turn on/off notifications      | `⌘ + I`, `Ctrl + I`         |
| Go to the next/previous Stream | `D` , `F`                   |
| Move to the nth Stream         | `1` , `2` , `3` , `4` , `5` |

## Issues shortcuts <a href="#issue" id="issue"></a>

| action                           | keyboard shortcuts       |
| -------------------------------- | ------------------------ |
| Reload the issues                | `.`                      |
| Go to next/previous issue        | `J` , `K`                |
| Go to next/previous unread issue | `Shift + J`, `Shift + K` |
| Change to unread/read            | `I`                      |
| Add/delete to your bookmarks     | `B`                      |
| Move to / return to the archive  | `E`                      |
| Show only self author issues     | `A`                      |
| Show only self assigned issues   | `N`                      |
| Show only unread issues          | `U`                      |
| Show only open issues            | `O`                      |
| Show only bookmarked issues      | `M`                      |

## Browser shortcuts <a href="#browser" id="browser"></a>

| action                                | keyboard shortcuts                                                                                       |
| ------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| Reload the page                       | `⌘ + R`, `Ctrl + R`                                                                                      |
| Back to previous page                 | `⌘ + [`, `Ctrl + [`                                                                                      |
| Go to the next page                   | `⌘ + ]`, `Ctrl + [`                                                                                      |
| Scroll down/up the page.              | `Space`, `Shift + Space`                                                                                 |
| Scroll down/up the page significantly | <p><code>Option + J</code>, <code>Option + K</code></p><p><code>Alt + J</code>, <code>Alt + K</code></p> |
| Search within the page                | `⌘ + F`, `Ctrl + F`                                                                                      |
| Open the URL bar                      | `⌘ + L`, `Ctrl + L`                                                                                      |
| Open the page in an external browser  | `⌘ + O`, `Ctrl + O`                                                                                      |

## Customizing keyboard shortcuts (Mac) <a href="#customize" id="customize"></a>

{% hint style="warning" %}
Here's a keyboard shortcut on the Mac Window/Linux is not covered in this page.
{% endhint %}

To change the keyboard shortcut to a key of your choice, do the following

* Go to `Keyboard → Shortcuts → Applications` in Mac preferences.
* &#x20;Add a shortcut key from the `+` button
  * Application: `Jasper.app`
  * Menu Title: The menu name you want to change the key to(example `Next Issue`)
  * Keyboard shortcut: The key you want to set

![](/files/-MIBuNIfnCEhaHS_4E1l)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jasperapp.io/reference/keyboard-shortcut.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
